package thyyxxk.webserver.entity.zhuyuanyisheng.emr;

import java.io.Serializable;

import lombok.Data;

import java.util.Date;

@Data
public class MedicalHistoryPrompts implements Serializable {

    private static final long serialVersionUID = 6207324461366360513L;

    /**
     * id
     */
    private Integer id;

    /**
     * creatorId
     */
    private String creatorId;

    /**
     * creatorData
     */
    private Date creatorData;

    /**
     * 内容
     */
    private String content;

    /**
     * 创建科室
     */
    private String dept;

    /**
     * 1 - 个人 2- 科室 3-全院
     */
    private Integer typeCode;

    /**
     * 快速查询条件
     */
    private String queryKey;

    public String getTypeName() {
        switch (typeCode) {
            case 1:
                return "个人";
            case 2:
                return "科室";
            case 3:
                return "全院";
            default:
                return "";
        }
    }

}
